### Name: simctest
### Title: Sequential implementation of Monte Carlo tests
### Aliases: simctest


### ** Examples

  #Example from Davison&Hinkley section 11.4, p. 534
  data(fir,package="boot")
  fir.mle <- c(sum(fir$count), nrow(fir))
  fir.gen <- function(data, mle){
    d<-data
    y <- sample(x=mle[2],size=mle[1],replace=TRUE)
    d$count <- tabulate(y,mle[2])
    d
  }
  fir.fun <- function(data)
    (nrow(data)-1)*var(data$count)/mean(data$count)
  obs<-fir.fun(fir)
  resampl<-function(){obs<fir.fun(fir.gen(data=fir,mle=fir.mle))}
  simctest(resampl)

  #now trying simctest.cont
  res <- simctest(resampl,maxsteps=10)
  res

  res <- cont(res,10)
  cont(res,10)




